Export Package
POST
/api/{version}/services/packageHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
packageName | The name of the Outbound Package you would like to export. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "packageName=PKG-0001" \
--output "myVPK.vpk" \
https://myvault.veevavault.com/api/v20.3/services/packageResponse
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v20.3/services/jobs/60905",
"job_id": 60905
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
url- The URL to retrieve the current status of the export job.job_id- The Job ID value is used to retrieve the status and results of the request.- A separate email with a link to download the .vpk file.